
CREATE DATABASE `sigdb`;

CREATE USER 'sig'@ 'localhost' IDENTIFIED BY 'sig00';

GRANT SELECT ,
INSERT ,
UPDATE ON * . * TO 'sig'@ 'localhost' IDENTIFIED BY 'sig00' WITH MAX_QUERIES_PER_HOUR 0 MAX_CONNECTIONS_PER_HOUR 0 MAX_UPDATES_PER_HOUR 0 MAX_USER_CONNECTIONS 0 ;

GRANT SELECT , INSERT , UPDATE ON `sigdb` . * TO 'sig'@'localhost';

GRANT SELECT (
`login`
), INSERT( `id` ) ON `sigdb`.`user` TO 'sig'@'localhost';

REVOKE ALL PRIVILEGES ON `sigdb`.`user` FROM 'sig'@'localhost'; GRANT SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, REFERENCES ON `sigdb`.`user` TO 'sig'@'localhost';

CREATE TABLE `user` (
  `id` DOUBLE NOT NULL, 
  `name1` VARCHAR(20) NOT NULL, 
  `name2` VARCHAR(20) NULL, 
  `lastname1` VARCHAR(20) NOT NULL, 
  `lastname2` VARCHAR(20) NULL, 
  `profile` VARCHAR(10) NOT NULL, 
  `login` VARCHAR(10) NOT NULL, 
  `password` VARCHAR(40) NOT NULL,
  PRIMARY KEY (`id`)
)
ENGINE = myisam;

INSERT INTO `user` (`id`, `name1`, `name2`, `lastname1`, `lastname2`, `profile`, `login`, `password`) VALUES ('10297018', 'Edwin', NULL, 'Caldon', NULL, 'admin', 'ecaldon', '641ae935167e9cfd8a4b3feed47e9e2d');

CREATE TABLE `project` (
`code` DOUBLE NOT NULL ,
`name` VARCHAR( 30 ) NOT NULL ,
`manager` DOUBLE NOT NULL ,
PRIMARY KEY ( `code` )
) 
ENGINE = MYISAM ;

INSERT INTO `project` ( `code` , `name` , `manager` )
VALUES (
'100', 'apache doc', '10297018'
);


CREATE TABLE `document` (
`idDoc` DOUBLE NOT NULL ,
`name` VARCHAR( 40 ) NOT NULL ,
`format` VARCHAR( 20 ) NOT NULL ,
`size` VARCHAR( 20 ) NOT NULL ,
`own` DOUBLE NOT NULL ,
`prj` DOUBLE NOT NULL ,
`abstract` VARCHAR( 50 ) NOT NULL ,
`path` VARCHAR( 50 ) NOT NULL ,
PRIMARY KEY ( `idDoc` )
)
ENGINE = MYISAM ;


INSERT INTO `document` ( `name` , `format` , `size` , `own` , `prj` , `abstract` , `path` )
VALUES (
'Luz Artificial', 'pdf', '179.8 Kib (184087 bytes)', '51204120', '100', 'Un apasionante relato', 'proyectos/apache_doc/luz_artificial.pdf'
);
