<?php
/*------------------------------------------------------------------
* Universidad del Cauca - Departamento de Sistemas
* Edwin Caldon
* ecaldon en unicauca punto edu punto co
* Powered by The Quanta+
------------------------------------------------------------------*/

class CUsuario{
	var $idproyecto;
	var $id;
	var $nombre;
	var $nombre1;
	var $nombre2;
	var $apellido1;
	var $apellido2;
	var $email;
	var $login;
	var $password;
	var $conexion;
	var $lista;
	var $clase;
	var $numreg;
	
	//Constructor de la clase
	function CUsuario(){
		$this->idproyecto=0;	
		$this->id=0;
		$this->nombre="";
		$this->nombre1="";
		$this->nombre2="";
		$this->apellido1="";
		$this->apellido2="";
		$this->email="";
		$this->login="";
		$this->password="";
		$this->conexion=new CMysql;
		$this->lista=null;
		$this->clase="";
		$this->numreg=0;
	}
	
	function set($i,$n1,$n2,$a1,$a2,$e,$l,$p,$c){
		$this->id=$i;//obtener cantidad de registros
		$this->nombre=$n;
		$this->nombre1=$n1;
		$this->nombre2=$n2;
		$this->apellido1=$a1;
		$this->apellido2=$a2;
		$this->email=$e;
		$this->login=$l;
		$this->password=$p;
		$this->clase=$c;
	}
	
	//Adicionar un User a la BD
	function adicionar(){
	  $this->conexion->conectar();
	  $pwd = md5($this->password);
	  //echo " =".$pwd;
	  $this->conexion->query = "INSERT INTO user (id, name1, name2, lastname1, lastname2, profile, login, password, idproject) VALUES ('$this->id','$this->nombre1','$this->nombre2','$this->apellido1','$this->apellido2','$this->clase','$this->login','$pwd', '$this->idproyecto');";
	  $this->conexion->actualizar();
	  $this->conexion->desconectar();
	}
	
	//Modificar un User en la BD
	function modificar(){
      $this->conexion->conectar();
	  if (!empty($this->password)) {
	    $pwd = md5($this->password);
	    $this->conexion->query = "UPDATE user SET name1='$this->nombre1', name2='$this->nombre2', lastname1='$this->apellido1', lastname2='$this->apellido2', login='$this->login', password='$pwd', profile='$this->clase' WHERE id ='$this->id'";
	  } else {
	    $this->conexion->query = "UPDATE user SET name1='$this->nombre1', name2='$this->nombre2', lastname1='$this->apellido1', lastname2='$this->apellido2', login='$this->login', profile='$this->clase' WHERE id='$this->id'";
	  }
	  $this->conexion->actualizar();
	  $this->conexion->desconectar();
	}
	
   function cambiarPwd() {
      $this->conexion->conectar();
	  $this->password = md5($this->password);
	  $this->conexion->query = "UPDATE user SET password='$this->password' WHERE id='$this->id'";
	  $this->conexion->actualizar();
	  $this->conexion->desconectar();
   }

	//Eliminar un User en la BD
	function eliminar(){
      $this->conexion->conectar();
	  $this->conexion->query = "DELETE FROM user WHERE id='$this->id'";
	  $this->conexion->actualizar();
	  $this->conexion->desconectar();
	}
	
	//Consultar info de un User en la BD
	function consultarUsuario($ident){
      $this->id = $ident;
      $this->conexion->conectar();
	  $this->conexion->query = "SELECT * FROM user WHERE id='$this->id'";
	  $this->conexion->consultar();
	  if ($this->conexion->numreg > 0) {
	     $this->nombre1 = mysql_result($this->conexion->rtaquery,0,"name1");
		 $this->nombre2 = mysql_result($this->conexion->rtaquery,0,"name2");
		 $this->apellido1 = mysql_result($this->conexion->rtaquery,0,"lastname1");
		 $this->apellido2 = mysql_result($this->conexion->rtaquery,0,"lastname2");
		 if($this->nombre2=="NULL")$this->nombre2="";
		 if($this->apellido2=="NULL")$this->apellido2="";
		 $this->nombre = $this->nombre1." ".$this->nombre2." ".$this->apellido1." ".$this->apellido2;
	     $this->login = mysql_result($this->conexion->rtaquery,0,"login");
	     $this->password = mysql_result($this->conexion->rtaquery,0,"password");
	     $this->clase = mysql_result($this->conexion->rtaquery,0,"profile");
 	     $this->idproyecto = mysql_result($this->conexion->rtaquery,0,"idproject");
	  }
	  $this->conexion->desconectar();
	}
	
	//Listar los Users de la BD
	function listarUsuarios(){
      $this->conexion->conectar();
	  $this->conexion->query = "SELECT * FROM user ORDER BY lastname1,lastname2,name1,name2,profile,login";
	  $this->conexion->consultar();
	  $this->lista = $this->conexion->rtaquery;
	  $this->numreg = $this->conexion->numreg;
	  $this->conexion->desconectar();
	}
	
	//Ver los datos de c/u de los Users en la BD
	function verDatosUsuario($num){
     $this->id = mysql_result($this->lista,$num,"id");
     $this->nombre1 = mysql_result($this->lista,$num,"name1");
	 $this->nombre2 = mysql_result($this->lista,$num,"name2");
	 $this->apellido1 = mysql_result($this->lista,$num,"lastname1");
	 $this->apellido2 = mysql_result($this->lista,$num,"lastname2");
	 if($this->nombre2=="NULL")$this->nombre2="";
		 if($this->apellido2=="NULL")$this->apellido2="";
	 $this->nombre = $this->nombre1." ".$this->nombre2." ".$this->apellido1." ".$this->apellido2;
     $this->login = mysql_result($this->lista,$num,"login");
     $this->password = mysql_result($this->lista,$num,"password");
     $this->clase = mysql_result($this->lista,$num,"profile");
	}
	
	//1 => autenticacion correcta
	//0 => passwd incorrecto
	//-1 => usuario incorrecto
	function validarUsuario($user,$passwd){
		$this->login=$user;
		$this->password=$passwd;
		//echo " passdw: ".$passwd." user: ".$user;
      	$this->conexion->conectar();
	  $this->conexion->query = "SELECT * FROM user WHERE login='$this->login'";
	  $this->conexion->consultar();
	  if ($this->conexion->numreg > 0) {	//El usuario existe, esta registrado
	     $pwd_enc = md5($this->password);
		 //echo " ".$this->password." = ".$pwd_enc;
	     for ($n=0; $n < $this->conexion->numreg; $n++) {
		    $pwd = $this->conexion->leerCampo("password", $n);
			if (!strcmp($pwd_enc,$pwd)) {	//Los passwords son iguales
		       $Id = $this->conexion->leerCampo("id",$n);
	           $this->consultarUsuario($Id);
		       return(1);
			} else {
			   return(0);		//Los passwords son diferentes
			}
		 }
	  } else {
	     return(-1);	//Usuario no registrado
	  }
	  $this->conexion->desconectar();
	}
}

?>
