<?php
if (!isset($_SESSION['SES_LOGIN'])) {
	exit(0);
} else {
	if ($_SESSION['SES_TIPOUSR']!=$TEXT[1]) {
		exit(0);
	}
}

include_once("lib/libmysql.php");
include_once("lib/libusuario.php");
include_once("lib/libdoc.php");
include_once("lib/libproyecto.php");
include_once("lib/libxml.php");

//header('Content-Type: text/xml');
echo '<?xml version="1.0" encoding="iso-8859-1"?>';
$backup = new Cxml('backup1.txt');
$Usuario = new CUsuario;
$Documento = new CDocumento;
$Proyecto = new CProyecto;
$backup->open('backup1.txt');

//echo $backup->cerrar();

$Usuario->listarUsuarios();
$Documento->listarDocs();
$Proyecto->listarProyectos();
$backup->write('<?xml version="1.0" encoding="iso-8859-1"?>');		
$backup->write("<site>");
	for ($n=0; $n < $Usuario->numreg; $n++) {

  	$Usuario->verDatosUsuario($n);
	$backup->write("\t<user>");
		$backup->write("\t\t<id tipo='double' null='nonull'>".$Usuario->id."</id>");
		$backup->write("\t\t<name1 tipo='varchar' size='20' null='nonull'>".$Usuario->nombre1."</name1>");
		$backup->write("\t\t<name2 tipo='varchar' size='20' null='null'>".$Usuario->nombre2."</name2>");
		$backup->write("\t\t<lastname1 tipo='varchar' size='20' null='nonull'>".$Usuario->apellido1."</lastname1>");
		$backup->write("\t\t<profile tipo='varchar' size='10' null='nonull'>".$Usuario->clase."</profile>");
		$backup->write("\t\t<login>".$Usuario->login."</login>");
		$backup->write("\t\t<password>".$Usuario->password."</password>");
	$backup->write("\t</user>");
	}
	for ($n=0; $n < $Documento->numreg; $n++) {
  	$Documento->verDatosDoc($n);
	$backup->write("\t<document>");
		$backup->write("\t\t<idDoc tipo='double' null='nonull' extra='auto_increment'>".$Documento->idDoc."</idDoc>");
		$backup->write("\t\t<name tipo='varchar' size='40' null='nonull'>".$Documento->nombreDoc."</name>");
		$backup->write("\t\t<format tipo='varchar' size='20' null='nonull'>".$Documento->formato."</format>");
		$backup->write("\t\t<size tipo='varchar' size='20' null='nonull'>".$Documento->tamanio."</size>");
		$backup->write("\t\t<own tipo='double' null='nonull'>".$Documento->autor->id."</own>");
		$backup->write("\t\t<prj tipo='double' null='nonull'>".$Documento->prj->codigoPrj."</prj>");
		$backup->write("\t\t<abstract tipo='varchar' size='50' null='nonull'>".$Documento->resumen."</abstract>");
		$backup->write("\t\t<path tipo='varchar' size='100' null='nonull'>".$Documento->pathDoc."</path>");
	$backup->write("\t</document>");
	}
	
	for ($n=0; $n < $Proyecto->numreg; $n++) {
  	$Proyecto->verDatosProyecto($n);
	$backup->write("\t<project>");
		$backup->write("\t\t<code tipo='double' null='nonull'>".$Proyecto->codigoPrj."</code>");
		$backup->write("\t\t<name tipo='varchar' size='30' null='nonull'>".$Proyecto->nombrePrj."</name>");
		$backup->write("\t\t<manager tipo='double' null='nonull'>".$Proyecto->managerPrj."</manager>");
	$backup->write("\t</project>");
	}
$backup->write("</site>");
$backup->cerrar();
unset($Documento);
unset($Proyecto);
unset($Usuario);
echo ('Se creo un backup');
?>
